/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.nlpack.generator.task.valueobject;

/**
 * 処理クラス [BlancoNLpackGeneratorParsePropertiesProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoNLpackGeneratorParsePropertiesProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [sourcedir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力のディレクトリ。
     */
    private String fSourcedir;

    /**
     * フィールド [targetfile]
     *
     * 項目の型 [java.lang.String]<br>
     * 出力の翻訳結果ログ(ResultDetailファイル形式)のファイル名。
     */
    private String fTargetfile;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [sourcedir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力のディレクトリ。
     *
     * @param argSourcedir フィールド[sourcedir]に格納したい値
     */
    public void setSourcedir(final String argSourcedir) {
        fSourcedir = argSourcedir;
    }

    /**
     * フィールド[sourcedir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力のディレクトリ。
     *
     * @return フィールド[sourcedir]に格納されている値
     */
    public String getSourcedir() {
        return fSourcedir;
    }

    /**
     * フィールド [targetfile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力の翻訳結果ログ(ResultDetailファイル形式)のファイル名。
     *
     * @param argTargetfile フィールド[targetfile]に格納したい値
     */
    public void setTargetfile(final String argTargetfile) {
        fTargetfile = argTargetfile;
    }

    /**
     * フィールド[targetfile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 出力の翻訳結果ログ(ResultDetailファイル形式)のファイル名。
     *
     * @return フィールド[targetfile]に格納されている値
     */
    public String getTargetfile() {
        return fTargetfile;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.nlpack.generator.task.valueobject.BlancoNLpackGeneratorParsePropertiesProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",sourcedir=" + fSourcedir);
        buf.append(",targetfile=" + fTargetfile);
        buf.append("]");
        return buf.toString();
    }
}
